/*
    ApplicationCategory.h
    =====================

    John Holdsworth
    Coldwave Programs Ltd.

    This software is in the public domain.

    A slightly dodgy Category of Appliaction that intercepts the call
    to the "new" method on application start up to export the application
    object using distributed objects.
*/
/*
 * $Log: ApplicationCategory.h,v $
 * Revision 1.4  1997/04/15  20:41:05  johnh
 * Moved Objective-C code into Category Poser.
 *
 * Revision 1.3  1997/04/13  22:36:33  johnh
 * Simplification of Makefiles.
 *
 * Revision 1.2  1997/01/20  22:52:58  johnh
 * Second Version.
 *
 * Revision 1.1  1997/01/19  22:44:57  johnh
 * Initial Version.
 */

#import <appkit/Application.h>

@interface Application(ApplicationCategory)

#ifdef DEBUG

+ new; // overloaded to publish application object using distributed objects

#endif

@end
